/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __AIR_MEDIAHUB_TIMEOUT_HANDLER_H__
#define __AIR_MEDIAHUB_TIMEOUT_HANDLER_H__

struct timeout_handler;

typedef void (*timeout_event_cb)(void *data, int type, void *ei);

struct timeout_handler *timeout_handler_init(double timeout,
		timeout_event_cb timeout_cb, void *timeout_data,
		timeout_event_cb event_cb, void *event_data);

void timeout_handler_fini(struct timeout_handler *handle);

void timeout_handler_enable(struct timeout_handler *handle, bool enable);

#endif
