/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_UTIL_H__
#define __AIR_MEDIAHUB_UTIL_H__

#include <media_content.h>
#include <app_media.h>

void util_set_alpha_color(Evas_Object *obj, int alpha);
Evas_Object *util_add_box(Evas_Object *base);
Evas_Object *util_add_gengrid(Evas_Object *base,
			int item_size_x, int item_size_y);
Evas_Object *util_add_genlist(Evas_Object *base);
Evas_Object *util_add_image(Evas_Object *base, const char *file);
Evas_Object *util_add_scroller(Evas_Object *base);

void util_time_string(char *str, int size, unsigned int ms, bool full);
void util_up_string(char *str);

int util_get_media_index(Eina_List *list, void *info);
app_media *util_find_media_info(Eina_List *list, const char *id);

#endif /* __AIR_MEDIAHUB_UTIL_H__ */
