/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_MPLAYER_H__
#define __AIR_MEDIAHUB_VIEW_MPLAYER_H__

/* view */
#define VIEW_MPLAYER "VIEW_MPLAYER"

/* group */
#define GRP_MPLAYER_VIEW "group.mplayer_view"

/* style */
#define STYLE_MPLAYER_PROGRESS "music_progress"
#define STYLE_MPLAYER_LIST "music_list"

/* part */
#define PART_MPLAYER_BG "part.mplayer_bg"
#define PART_MPLAYER_THUMB "part.mplayer_thumb"
#define PART_MPLAYER_TITLE "part.mplayer_title"
#define PART_MPLAYER_INFO "part.mplayer_info"
#define PART_MPLAYER_PROGRESS "part.mplayer_progress"
#define PART_MPLAYER_TOTAL "part.mplayer_total"
#define PART_MPLAYER_SLIDER "part.mplayer_slider"
#define PART_MPLAYER_LIST "part.mplayer_list"

/* source */
#define SRC_BTN_MUSIC_SHUFFLE "shuffle"
#define SRC_BTN_MUSIC_REPEAT "repeat"
#define SRC_BTN_MUSIC_PREV "prev"
#define SRC_BTN_MUSIC_PLAY "play"
#define SRC_BTN_MUSIC_NEXT "next"

/* images */
#define IMAGE_MUSIC_THUMBNAIL IMAGEDIR"/ic_thumbnail_song_player.png"

#define IMAGE_MUSIC_PREV_FOCUS "btn_music_contr_previous_foc.png"
#define IMAGE_MUSIC_PREV_NORMAL "btn_music_contr_previous_nor.png"
#define IMAGE_MUSIC_PLAY_FOCUS "btn_music_contr_play_foc.png"
#define IMAGE_MUSIC_PLAY_NORMAL "btn_music_contr_play_nor.png"
#define IMAGE_MUSIC_PAUSE_FOCUS "btn_music_contr_pause_foc.png"
#define IMAGE_MUSIC_PAUSE_NORMAL "btn_music_contr_pause_nor.png"
#define IMAGE_MUSIC_NEXT_FOCUS "btn_music_contr_next_foc.png"
#define IMAGE_MUSIC_NEXT_NORMAL "btn_music_contr_next_nor.png"
#define IMAGE_MUSIC_SHUFFLE_FOCUS "btn_music_contr_shuffle_nor_foc.png"
#define IMAGE_MUSIC_SHUFFLE_NORMAL "btn_music_contr_shuffle_nor.png"
#define IMAGE_MUSIC_SHUFFLE_DIS_FOCUS "btn_music_contr_shuffle_dis_foc.png"
#define IMAGE_MUSIC_SHUFFLE_DIS_NORMAL "btn_music_contr_shuffle_dis.png"
#define IMAGE_MUSIC_REPEAT_FOCUS "btn_music_contr_repeat_foc.png"
#define IMAGE_MUSIC_REPEAT_NORMAL "btn_music_contr_repeat_nor.png"
#define IMAGE_MUSIC_LIST_PLAY "ic_mini_player_play_nor.png"
#define IMAGE_MUSIC_LIST_PLAY_FOC "ic_mini_player_play_foc.png"

#endif
